Class | WSDL::SOAP::ClientSkeltonCreator
In: | wsdl/soap/clientSkeltonCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/clientSkeltonCreator.rb, line 22
      def initialize(definitions)
        @definitions = definitions
      end

### Public Instance methods

dump(service_name)

[Source]

    # File wsdl/soap/clientSkeltonCreator.rb, line 26
      def dump(service_name)
        result = ""
        @definitions.service(service_name).ports.each do |port|
          result << dump_porttype(port.porttype.name)
          result << "\n"
        end
        result
      end

[Validate]